import Flutter
import UIKit

let navBar = UINavigationController.init()
var receivedPath = String()

public class SwiftFlutterTestSelfiecapturePlugin: NSObject, FlutterPlugin, DismissProtocol {

    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "flutter_test_selfiecapture", binaryMessenger: registrar.messenger())
        let instance = SwiftFlutterTestSelfiecapturePlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if (call.method == "getPlatformVersion") {
            result("iOS " + UIDevice.current.systemVersion)
            result(detectLiveness())
        }
        else if call.method == "detectLiveliness" {
            result(detectLiveness())
        }
    }
    
    public func detectLiveness() -> String{
        if let viewController = UIApplication.shared.keyWindow?.rootViewController as? FlutterViewController{
            let storyboardName = "MainLive"
            let storyboardBundle = Bundle.init(for: type(of: self))
            let storyboard = UIStoryboard(name: storyboardName, bundle: storyboardBundle)
            if let vc = storyboard.instantiateViewController(withIdentifier: "TestViewController") as? TestViewController {
                viewController.present(vc, animated: true, completion: nil)
                vc.dismissDelegate = self
                return receivedPath
            }
        }
        return "iOS_Outer"
    }

    func sendData(filePath: String) {
        receivedPath = filePath
        print(filePath)
    }
}
